// -----------------------------------------------------------------------------
// This file contains all styles related to the form component.
// -----------------------------------------------------------------------------

::placeholder {
	color: $text-02;
}

textarea,
input[type="text"],
input[type="password"],
input[type="datetime"],
input[type="datetime-local"],
input[type="date"],
input[type="month"],
input[type="time"],
input[type="week"],
input[type="number"],
input[type="email"],
input[type="url"],
input[type="search"],
input[type="tel"],
input[type="color"],
select,
.file-mask {
	position: relative;
	@include heading-input();
   
   padding: 0 0 16px;
   border: none;
   border-bottom: 1px solid grey;

	font-weight: normal;
	background-color: $white;
   width: 100%;
   vertical-align: middle;
	z-index: 3;
	appearance: none;



	~ .validation-error {
		opacity: 0;
		max-height: 0;
		padding: 0;
		border-color: transparent;
	}

	~ .validation-help {
		opacity: 1;
		max-height: 25px;
	}

	~ .validation-help + .validation-error {
		max-height: 15px;
		line-height: 15px;
	}

	~ .validation-help + .validation-valid { max-height: 0; }

	&:focus { @include input-shape-focus($brand-color, true); }
}

select { padding-right: 54px; }

textarea {
	min-height: 50px;
	height: 200px;
	padding: rem-calc(8) rem-calc(16);
	//border: 1px solid $input-border;
}

select:invalid,
option:disabled { color: $text-02; }




.form {

}

   .form__legend {
      @include heading-h2();
      margin-bottom: 24px;
   }

   .form__element {
      margin-bottom: 48px;
   }


   .form__element--checkbox,
   .form__element--radio {
      margin-bottom: 24px;

      label {
         @include heading-input();
         margin: 0;
         padding: 0;
         pointer-events: all;
         cursor: pointer;
      }

      .form__element__mask {
         //@include input-shape($text-color-primary);
         border: 2px solid grey;
         display: inline-block;
         width: 32px;
         height: 32px;
         padding: 0;
         vertical-align: middle;
         margin-right: 16px;
         background-color: $white;
         position: relative;
         pointer-events: none;
         transition: all 0.2s ease;
         float: left;
      }

      input {
         display: none;

         &:checked {

            ~ .form__element__mask {
               background-color: grey;
            }
         }
      }
      
      
      
      // .control__text {
      //    color: #888888;
      //    vertical-align: middle;
      //    pointer-events: none;
      //    display: block;
      //    -webkit-transition: color 0.2s ease-out;
      //          transition: color 0.2s ease-out;

      //    a { pointer-events: all; }
      // }
   }


   .form__element--radio {

      .form__element__mask {
         border-radius: 50%;
      }
   }

   .form__element--file {
      position: relative;

      input {
         visibility: hidden;
      }

      .form__element__mask {
         border: 2px solid grey;
         background-color: $white;
         position: absolute;
         left: 0;
         top: 0;
         width: 100%;
         height: 100%;
         pointer-events: none;
         cursor: pointer;
         padding: 4px;
         height: 40px;
      }

      .form__element__text {
         position: absolute;
         left: 0;
         top: 0;
         width: 100%;
         height: 100%;
         pointer-events: none;
         z-index: 20;
      }
   }





/* ==========================================================================
   $MEDIA-QUERIES
   ========================================================================== */


/* SMALLER MOBILE LAYOUT
----------------------------------------------- */
@include media-breakpoint-down(xsmall) {

}



/* SMALL MOBILE LAYOUT UP
----------------------------------------------- */
@include media-breakpoint-down(small) {

}



/* MOBILE LAYOUT DOWN
----------------------------------------------- */
@include media-breakpoint-down(medium) {

}



/* TABLET LAYOUT UP
----------------------------------------------- */
@include media-breakpoint-up(medium) {

}



/* TABLET LAYOUT
----------------------------------------------- */
@include media-breakpoint-between(medium, large) {

}



/* DESKTOP LAYOUT UP
----------------------------------------------- */
@include media-breakpoint-up(large) {

}



/* DESKTOP LAYOUT
----------------------------------------------- */
@include media-breakpoint-between(large, xlarge) {

}



/* BIG DESKTOP LAYOUT UP
----------------------------------------------- */
@include media-breakpoint-up(xlarge) {

}



/* BIGER DESKTOP LAYOUT UP
----------------------------------------------- */
@include media-breakpoint-up(xxlarge) {

}




/* ==========================================================================
   $RETINA@2X
   ========================================================================== */

@include device-pixel-ratio(2) {

}



/* ==========================================================================
   $RETINA@3X
   ========================================================================== */

@include device-pixel-ratio(3) {

}